@use "mixins";

:root {
  --font-body: "Space Mono", "Courier New", courier, monospace;
  --font-display: "Inconsolata", -apple-system, blinkmacsystemfont, "Segoe UI",
    roboto, oxygen, ubuntu, cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  --color-gray-dark: #333;
  --color-gray-light: #4f4f4f;
  --color-white: #fff;
}

html {
  min-height: 100vh;
  font-size: 62.5%;

  @include mixins.respond(large) {
    font-size: 54.6875%;
  }
  @include mixins.respond(big) {
    font-size: 46.875%;
  }
  @include mixins.respond(medium) {
    font-size: 39.0625%;
  }
  @include mixins.respond(small) {
    font-size: 54.6875%;
  }
  @include mixins.respond(tiny) {
    font-size: 46.875%;
  }
}

body {
  height: 100%;
}
